(* $Id: glMisc.mli,v 1.6 2008/10/25 02:22:58 garrigue Exp $ *)

(* Getting information *)
val get_string : [`vendor|`renderer|`version|`extensions] -> string
val check_extension : string -> bool

(* Clipping planes *)
type equation = float * float * float * float
val clip_plane : plane:int -> equation -> unit

(* Speed hint *)
type hint_target =
    [`fog|`line_smooth|`perspective_correction|`point_smooth|`polygon_smooth]
val hint : hint_target -> [`fastest|`nicest|`dont_care] -> unit

val scissor : x:int -> y:int -> width:int -> height:int -> unit
